<?php


//==========================================================================
//  Sidebars
//==========================================================================

	register_sidebar(array(
		'name'=>'スクロール追尾（サイドバー 2最下部）',
		'id'=>'fixed_sidebar',
		'before_widget' => '<div class="fixed_sidebar-wrapper"><div id="%1$s" class="widget %2$s fixed_sidebar">',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>'
	));

	register_sidebar(array(
		'name'=>'記事 「続きを読む」の後',
		'id'=>'single_main_post_content_more',
		'before_widget' => '<div id="%1$s" class="widget %2$s single_main_post_content_more">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="h3">',
		'after_title'   => '</h3>'
	));

	register_sidebar(array(
			'name'=>'フッター 1',
			'id'=>'fat_footer1',
			'before_widget' => '<div id="%1$s" class="widget %2$s fat_footer fat_footer1">',
			'after_widget'  => '</div>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
	));

	register_sidebar(array(
			'name'=>'フッター 2',
			'id'=>'fat_footer2',
			'before_widget' => '<div id="%1$s" class="widget %2$s fat_footer fat_footer2">',
			'after_widget'  => '</div>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
	));

	register_sidebar(array(
			'name'=>'フッター 3',
			'id'=>'fat_footer3',
			'before_widget' => '<div id="%1$s" class="widget %2$s fat_footer fat_footer3">',
			'after_widget'  => '</div>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
	));


//==========================================================================
//  続きを読むにウィジェットエリアを追加
//==========================================================================

/* 記事内にphpファイルをインクルードするショートコード */

function Include_my_php($params = array()) {
	extract(shortcode_atts(array(
			'file' => 'default'
	), $params));
	ob_start();
	include(get_theme_root() . '/' . get_template() . "/myphpfiles/$file.php");  
	return ob_get_clean();
}

add_shortcode('myphp', 'Include_my_php'); 

/* 続きを読むの後に記事中ウィジェットエリアのショートコードを表示 */

add_filter('the_content', 'adMoreReplace');
function adMoreReplace($contentData) {

$adTags = <<< EOF

[myphp file='single_main_post_content_more']

EOF;

	$contentData = preg_replace('/<span id="more-[0-9]+"><\/span>/', $adTags, $contentData);
	$contentData = str_replace('<p></p>', '', $contentData);
	$contentData = str_replace('<p><br />', '<p>', $contentData);   

	return $contentData;
}
